For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

Obter Pedido

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
sale_idstringOpcional
originstringOpcional
partner_idstringOpcional
negotiation_datestringOpcional
seller_idstringOpcional
total_valuenumberOpcional
order_valuenumberOpcional
discount_valuenumberOpcional
freight_valuenumberOpcional
shipment_address_namestringOpcional
shipment_address_typestringOpcional
shipment_streetstringOpcional
shipment_numberstringOpcional
shipment_complementstringOpcional
shipment_neighborhoodstringOpcional
shipment_citystringOpcional
shipment_statestringOpcional
shipment_postal_codestringOpcional
shipment_countrystringOpcional
shipment_contact_namestringOpcional
shipment_contact_numberstringOpcional
shipment_contact_idstringOpcional
quotationbooleanOpcional
observationstringOpcional
delivery_method_idstringOpcional
delivery_rule_idstringOpcional
delivery_datestringOpcional
delivery_scheduling_idstringOpcional
delivery_method_period_startstringOpcional
delivery_method_period_endstringOpcional
delivery_method_period_typestringOpcional
delivery_method_typestringOpcional
delivery_method_namestringOpcional
delivery_method_price_typestringOpcional
delivery_method_custom_labelstringOpcional
get/orders/{id}
GET /api/sales/orders/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "sale_id": "text",
  "origin": "text",
  "company": {
    "id": "text",
    "name": "text",
    "fiscal_registration_number": "text"
  },
  "partner_id": "text",
  "negotiation_date": "text",
  "seller_id": "text",
  "total_value": 1,
  "order_value": 1,
  "discount_value": 1,
  "freight_value": 1,
  "shipment_address_name": "text",
  "shipment_address_type": "text",
  "shipment_street": "text",
  "shipment_number": "text",
  "shipment_complement": "text",
  "shipment_neighborhood": "text",
  "shipment_city": "text",
  "shipment_state": "text",
  "shipment_postal_code": "text",
  "shipment_country": "text",
  "shipment_contact_name": "text",
  "shipment_contact_number": "text",
  "shipment_contact_id": "text",
  "quotation": true,
  "observation": "text",
  "delivery_method_id": "text",
  "delivery_rule_id": "text",
  "delivery_date": "text",
  "delivery_scheduling_id": "text",
  "delivery_method_period_start": "text",
  "delivery_method_period_end": "text",
  "delivery_method_period_type": "text",
  "delivery_method_type": "text",
  "delivery_method_name": "text",
  "delivery_method_price_type": "text",
  "delivery_method_custom_label": "text",
  "attachments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "file_id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "type": "text"
    }
  ],
  "invoices": [
    {
      "invoice_key": "text",
      "xml_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "xml_file_name": "text",
      "xml_file_type": "text",
      "danfe_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "danfe_file_name": "text",
      "danfe_file_type": "text"
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "items": [
    {
      "id": "text",
      "orderId": "text",
      "productId": "text",
      "productName": "text",
      "sku": "text",
      "image": "text",
      "unitValue": 1,
      "quantity": 1,
      "unit": "text",
      "discount": 1,
      "productVariationId": "text",
      "itemOriginType": "SEARCH",
      "itemOriginValue": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "automation_fields": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "resumeFields": [
        {
          "name": "text",
          "title": "text",
          "value": "text",
          "type": "text",
          "mask": "text",
          "order": 1
        }
      ]
    }
  ],
  "payments": [
    {
      "id": "text",
      "orderId": "text",
      "paymentMethodId": "text",
      "amount": 1,
      "installments": 1,
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "statuses": [
    {
      "status_id": "text",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pre_order_complement": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "checkout_complement": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "automation_fields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "resume_fields": [
    {
      "name": "text",
      "title": "text",
      "value": "text",
      "type": "text",
      "mask": "text",
      "order": 1
    }
  ],
  "coupons": [
    {
      "coupon_id": "text",
      "code": "text",
      "name": "text",
      "type": "text",
      "value_type": "text",
      "value": 1
    }
  ]
}

Atualizar Pedido

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
originstringOpcional
company_idstringOpcional
partner_idstringObrigatório
negotiation_datestring · date-timeObrigatório
seller_idstringOpcional
total_valuenumberObrigatório
order_valuenumberObrigatório
discount_valuenumberObrigatório
freight_valuenumberOpcional
freight_edit_reasonstringOpcional
shipment_address_namestringOpcional
shipment_address_typestringOpcional
shipment_streetstringOpcional
shipment_numberstringOpcional
shipment_complementstringOpcional
shipment_neighborhoodstringOpcional
shipment_citystringOpcional
shipment_statestringOpcional
shipment_postal_codestringOpcional
shipment_countrystringOpcional
shipment_contact_idstringOpcional
shipment_contact_namestringOpcional
shipment_contact_numberstringOpcional
delivery_method_idstringOpcional
delivery_rule_idstringOpcional
delivery_datestringOpcional
delivery_scheduling_idstringOpcional
statusstringOpcional
observationstringOpcional
quotationbooleanOpcional
attachmentsstring · uuid[]Opcional
Respostas
200

Order updated successfully

application/json
idstringOpcional
originstringOpcional
company_idstringOpcional
partner_idstringOpcional
negotiation_datestringOpcional
seller_idstringOpcional
total_valuenumberOpcional
order_valuenumberOpcional
discount_valuenumberOpcional
shipment_address_namestringOpcional
shipment_address_typestringOpcional
shipment_streetstringOpcional
shipment_numberstringOpcional
shipment_complementstringOpcional
shipment_neighborhoodstringOpcional
shipment_statestringOpcional
shipment_postal_codestringOpcional
shipment_countrystringOpcional
shipment_contact_namestringOpcional
shipment_contact_numberstringOpcional
quotationbooleanOpcional
attachmentsstring · uuid[]Opcional
put/orders/{id}
PUT /api/sales/orders/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2066

{
  "origin": "text",
  "company_id": "text",
  "partner_id": "text",
  "negotiation_date": "2026-01-01T00:00:00.000Z",
  "seller_id": "text",
  "total_value": 1,
  "order_value": 1,
  "discount_value": 1,
  "freight_value": 1,
  "freight_edit_reason": "text",
  "shipment_address_name": "text",
  "shipment_address_type": "text",
  "shipment_street": "text",
  "shipment_number": "text",
  "shipment_complement": "text",
  "shipment_neighborhood": "text",
  "shipment_city": "text",
  "shipment_state": "text",
  "shipment_postal_code": "text",
  "shipment_country": "text",
  "shipment_contact_id": "text",
  "shipment_contact_name": "text",
  "shipment_contact_number": "text",
  "delivery_method_id": "text",
  "delivery_rule_id": "text",
  "delivery_date": "text",
  "delivery_scheduling_id": "text",
  "status": "text",
  "observation": "text",
  "quotation": true,
  "attachments": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "invoices": [
    {
      "invoice_key": "text",
      "invoice_number": "text",
      "invoice_date": "text",
      "invoice_value": 1,
      "invoice_series": "text",
      "invoice_cfop": "text",
      "xml_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "danfe_resource_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "items": [
    {
      "id": "text",
      "product_id": "text",
      "unit_value": 1,
      "quantity": 1,
      "unit": "text",
      "discount": 1,
      "total_value": 1,
      "item_origin_value": "text",
      "item_origin_type": "text",
      "product_variation_id": "text",
      "automation_fields": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "complements": [
        {
          "product_complement_id": "text",
          "product_complement_option_id": "text",
          "product_complement_option_key": "text",
          "key": "text",
          "title": "text",
          "type": "text",
          "value_paid": 1,
          "selected_value": "text"
        }
      ]
    }
  ],
  "payments": [
    {
      "id": "text",
      "payment_method_id": "text",
      "amount": 1,
      "installments": 1,
      "installment_id": "text",
      "transaction_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "coupons": [
    {
      "coupon_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ],
  "discounts": [
    {
      "type": "text",
      "amount": 1
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "pre_order_complement": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "checkout_complement": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "automation_fields": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "origin": "text",
  "company_id": "text",
  "partner_id": "text",
  "negotiation_date": "text",
  "seller_id": "text",
  "total_value": 1,
  "order_value": 1,
  "discount_value": 1,
  "shipment_address_name": "text",
  "shipment_address_type": "text",
  "shipment_street": "text",
  "shipment_number": "text",
  "shipment_complement": "text",
  "shipment_neighborhood": "text",
  "shipment_state": "text",
  "shipment_postal_code": "text",
  "shipment_country": "text",
  "shipment_contact_name": "text",
  "shipment_contact_number": "text",
  "quotation": true,
  "attachments": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "invoices": [
    {
      "invoice_key": "text",
      "xml_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "danfe_resource_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

Remover Pedido

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Order removed successfully

application/json
idstringOpcional
delete/orders/{id}
DELETE /api/sales/orders/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

List all orders

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
partner_idstringOpcional
start_datestring · dateOpcional
end_datestring · dateOpcional
quotationbooleanOpcional
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/orders
GET /api/sales/orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "origin": "text",
      "company_id": "text",
      "partner_id": "text",
      "negotiation_date": "text",
      "seller_id": "text",
      "status": "text",
      "total_value": 1,
      "order_value": 1,
      "discount_value": 1,
      "freight_value": 1,
      "shipment_address_name": "text",
      "shipment_address_type": "text",
      "shipment_street": "text",
      "shipment_number": "text",
      "shipment_complement": "text",
      "shipment_neighborhood": "text",
      "shipment_city": "text",
      "shipment_state": "text",
      "shipment_postal_code": "text",
      "shipment_country": "text",
      "shipment_contact_name": "text",
      "shipment_contact_number": "text",
      "quotation": true,
      "delivery_method_id": "text",
      "delivery_rule_id": "text",
      "delivery_date": "text",
      "delivery_scheduling_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}

Criar Pedido

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
originstringOpcional
company_idstringOpcional
partner_idstringObrigatório
negotiation_datestring · date-timeObrigatório
seller_idstringOpcional
total_valuenumberObrigatório
order_valuenumberObrigatório
discount_valuenumberObrigatório
freight_valuenumberOpcional
shipment_address_namestringObrigatório
shipment_address_typestringObrigatório
shipment_streetstringObrigatório
shipment_numberstringObrigatório
shipment_complementstringObrigatório
shipment_neighborhoodstringObrigatório
shipment_citystringObrigatório
shipment_statestringObrigatório
shipment_postal_codestringObrigatório
shipment_countrystringObrigatório
shipment_contact_namestringObrigatório
shipment_contact_numberstringObrigatório
statusstringOpcional
observationstringOpcional
quotationbooleanOpcional
delivery_method_idstringOpcional
delivery_rule_idstringOpcional
delivery_datestringOpcional
delivery_scheduling_idstringOpcional
attachmentsstring · uuid[]Opcional
Respostas
201

Order created successfully

application/json
idstringOpcional
originstringOpcional
company_idstringOpcional
partner_idstringOpcional
negotiation_datestringOpcional
seller_idstringOpcional
total_valuenumberOpcional
order_valuenumberOpcional
discount_valuenumberOpcional
shipment_address_namestringOpcional
shipment_address_typestringOpcional
shipment_streetstringOpcional
shipment_numberstringOpcional
shipment_complementstringOpcional
shipment_neighborhoodstringOpcional
shipment_statestringOpcional
shipment_postal_codestringOpcional
shipment_countrystringOpcional
shipment_contact_namestringOpcional
shipment_contact_numberstringOpcional
quotationbooleanOpcional
attachmentsstring · uuid[]Opcional
post/orders
POST /api/sales/orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1570

{
  "id": "text",
  "origin": "text",
  "company_id": "text",
  "partner_id": "text",
  "negotiation_date": "2026-01-01T00:00:00.000Z",
  "seller_id": "text",
  "total_value": 1,
  "order_value": 1,
  "discount_value": 1,
  "freight_value": 1,
  "shipment_address_name": "text",
  "shipment_address_type": "text",
  "shipment_street": "text",
  "shipment_number": "text",
  "shipment_complement": "text",
  "shipment_neighborhood": "text",
  "shipment_city": "text",
  "shipment_state": "text",
  "shipment_postal_code": "text",
  "shipment_country": "text",
  "shipment_contact_name": "text",
  "shipment_contact_number": "text",
  "status": "text",
  "observation": "text",
  "quotation": true,
  "delivery_method_id": "text",
  "delivery_rule_id": "text",
  "delivery_date": "text",
  "delivery_scheduling_id": "text",
  "attachments": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "invoices": [
    {
      "invoice_key": "text",
      "invoice_number": "text",
      "invoice_date": "text",
      "invoice_value": 1,
      "invoice_series": "text",
      "invoice_cfop": "text",
      "xml_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "danfe_resource_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "items": [
    {
      "id": "text",
      "product_id": "text",
      "unit_value": 1,
      "quantity": 1,
      "unit": "text",
      "discount": 1,
      "total_value": 1,
      "item_origin_value": "text",
      "item_origin_type": "text",
      "product_variation_id": "text",
      "automation_fields": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "complements": [
        {
          "product_complement_id": "text",
          "product_complement_option_id": "text",
          "product_complement_option_key": "text",
          "key": "text",
          "title": "text",
          "type": "text",
          "value_paid": 1,
          "selected_value": "text"
        }
      ]
    }
  ],
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "origin": "text",
  "company_id": "text",
  "partner_id": "text",
  "negotiation_date": "text",
  "seller_id": "text",
  "total_value": 1,
  "order_value": 1,
  "discount_value": 1,
  "shipment_address_name": "text",
  "shipment_address_type": "text",
  "shipment_street": "text",
  "shipment_number": "text",
  "shipment_complement": "text",
  "shipment_neighborhood": "text",
  "shipment_state": "text",
  "shipment_postal_code": "text",
  "shipment_country": "text",
  "shipment_contact_name": "text",
  "shipment_contact_number": "text",
  "quotation": true,
  "attachments": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "invoices": [
    {
      "invoice_key": "text",
      "xml_resource_id": "123e4567-e89b-12d3-a456-426614174000",
      "danfe_resource_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "items": [
    {
      "id": "text",
      "order_id": "text",
      "product_id": "text",
      "unit_value": 1,
      "quantity": 1,
      "unit": "text",
      "discount": 1,
      "product_variation_id": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}